import { Injectable } from "@angular/core";
import PocketBase, { AuthRecord } from 'pocketbase';
import { environment } from "../../environments/environment";

@Injectable({
  providedIn: 'root',
})
export class UserService {
  private pb = new PocketBase(environment.POCKETBASE);

  getUser(): AuthRecord {
    return this.pb.authStore.record;
  }
}
